Bullet Collision Detection & Physics Library: btSoftBodyWorldInfo Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btSoftBodyWorldInfo Struct Reference

`#include <btSoftBody.h>`

Collaboration diagram for btSoftBodyWorldInfo:
[legend]

## Public Member Functions
| btSoftBodyWorldInfo ()

## Public Attributes
btScalar | air_density
btScalar | water_density
btScalar | water_offset
btScalar | m_maxDisplacement
btVector3 | water_normal
btBroadphaseInterface * | m_broadphase
btDispatcher * | m_dispatcher
btVector3 | m_gravity
btSparseSdf< 3 > | m_sparsesdf

## Detailed Description

Definition at line 47 of file btSoftBody.h.

## Constructor & Destructor Documentation

## ◆ btSoftBodyWorldInfo()

btSoftBodyWorldInfo::btSoftBodyWorldInfo | ( |  | ) |
| inline

Definition at line 59 of file btSoftBody.h.

## Member Data Documentation

## ◆ air_density

btScalar btSoftBodyWorldInfo::air_density

Definition at line 49 of file btSoftBody.h.

## ◆ m_broadphase

btBroadphaseInterface* btSoftBodyWorldInfo::m_broadphase

Definition at line 54 of file btSoftBody.h.

## ◆ m_dispatcher

btDispatcher* btSoftBodyWorldInfo::m_dispatcher

Definition at line 55 of file btSoftBody.h.

## ◆ m_gravity

btVector3 btSoftBodyWorldInfo::m_gravity

Definition at line 56 of file btSoftBody.h.

## ◆ m_maxDisplacement

btScalar btSoftBodyWorldInfo::m_maxDisplacement

Definition at line 52 of file btSoftBody.h.

## ◆ m_sparsesdf

btSparseSdf<3> btSoftBodyWorldInfo::m_sparsesdf

Definition at line 57 of file btSoftBody.h.

## ◆ water_density

btScalar btSoftBodyWorldInfo::water_density

Definition at line 50 of file btSoftBody.h.

## ◆ water_normal

btVector3 btSoftBodyWorldInfo::water_normal

Definition at line 53 of file btSoftBody.h.

## ◆ water_offset

btScalar btSoftBodyWorldInfo::water_offset

Definition at line 51 of file btSoftBody.h.

The documentation for this struct was generated from the following file:

- btSoftBody.h